关于版本升级直接报错,将字符串转为了数组,zc_blog_host错误

用户 minture 6月前 848

第一关于config表数据雷同,可是并没有去动过config表,

另外升级zblog版本直接提示信息如下:

错误提示

错误信息

(2)E_WARNING : strstr() expects parameter 1 to be string, array given (set_error_handler) (1.6.8.2210 (Valyria)) (Linux3.10.0; nginx1.20.1; PHP5.6.40x64; mysqli5.6.50; curl-o7.70.0; OpenSSL1.0.2u)

文件位置

/www/wwwroot/www.****.com/zb_system/function/lib/zblogphp.php
483$this->cookiespath = strstr(str_replace('://', '', $this->host), '/');
484//如果ZC_PERMANENT_DOMAIN_ENABLE已开启的话
485}elseif ($this->option['ZC_PERMANENT_DOMAIN_ENABLE'] == true) {
486$this->host = $this->option['ZC_BLOG_HOST'];
487$this->cookiespath = strstr(str_replace('://', '', $this->host), '/');
488//默认自动识别域名
489} else {
490$this->option['ZC_BLOG_HOST'] = $this->host;
491}
492} else {

请问这是什么问题导致,我并没有去动过任何

最新回复 (5)
全部楼主
  • 管理员 zx.asd 6月前 0
    引用 2
    进phpmyadmin去编辑zbp_config表,
    1.把同一个conf_Name的项目保留一个,然后删除其它重复的
    2.把conf_Key的内容设为空值
    3.可以进1.7后台了,然后点一下升级数据库结构

    短信已禁用,有事发贴。

  • 用户 q397865909 6月前 1
    引用 3
    搞定了 谢谢
  • 用户 minture 6月前 0
    引用 4
    解决了,谢谢
  • 用户 以修 2月前 0
    引用 5
    幸亏看到这则帖子,不然真不知道怎么操作了,上半年就想升级的,一直出现错误,一旦升级数据库也出错,这次几个网站终于全部升级到最新版本了
  • 用户 wgqg0224 12天前 0
    引用 6
    大神怎么解决的,能给小弟说一下不
    • ZBlogger技术交流中心
      7
          
返回